rem Perlの実行のbat その２
rem run2.bat
@rem 内容が古くなっているかもしれないので
@rem その場合は修正して使用して下さい
@rem パスが通っていない場合

@echo off
title Perlの実行

if /i "%~1" == "" (
	echo パラメータが無いので終了します。
	goto end
) else (
	if /i "%~x1" == ".pl" (
		goto run
	) else (
		echo Perlのスクリプトファイルではありません。終了します。
		goto end
	)
)


:run
echo Perlスクリプト実行
echo.

echo perl %~nx1
echo.

%~d1
cd "%~p1"

echo #### 開始 ####
rem 次の行をお使いのPCのperlのPATHに書き換えてください
"C:\strawberry-perl-5.40.0.1-64bit-portable\perl\bin\perl" "%~nx1"
echo.
echo #### 終了 ####


:end
echo.
echo.
pause
exit

@rem このスクリプトは著作権者のtytyさんの意向で
@rem NYSLとしています
@rem NYSL Version 0.9982